package com.heyu.api.data.service.identitycard;
/**
* <p>
* 身份证记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.identitycard.IdentityCardEntity;
public interface IdentityCardService extends IService<IdentityCardEntity> {



	IdentityCardEntity selectIdentityCardById(Long id);


	Long insertIdentityCard(IdentityCardEntity identityCard);


	Long insertOrUpdateIdentityCard(IdentityCardEntity identityCard);


	int updateIdentityCardById(IdentityCardEntity identityCard);


	int updateCoverIdentityCardById(IdentityCardEntity identityCard);


	int deleteIdentityCardById(Long id);


}